#include "chdecl.h"
void CH_codegen_cgselect(current, sched, cop)
#define ARGUMENTS 6
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto cb14;
    case 4: goto c15;
    case 5: goto c16;
    case 8: goto c20;
    case 6: goto c20;
    case 7: goto cb32;
    case 9: goto c34;
    case 10: goto cb35;
    case 11: goto c36;
    case 12: goto cb38;
    case 13: goto c39;
    case 14: goto cb49;
    case 15: goto c50;
    case 16: goto c55;
    case 17: goto c58;
    case 18: goto c64;
    case 19: goto c84;
    case 20: goto cb95;
    case 21: goto c96;
    case 22: goto cb97;
    case 23: goto c98;
    case 24: goto c100;
    case 25: goto cb101;
    case 26: goto c102;
    case 27: goto c106;
    case 28: goto cb111;
    case 29: goto c112;
    case 30: goto c114;
    case 31: goto c121;
    case 32: goto c124;
    case 33: goto c132;
    case 34: goto cb146;
    case 35: goto c147;
    case 36: goto c150;
    case 37: goto cb161;
    case 38: goto c162;
    case 39: goto c177;
    case 40: goto c186;
    case 41: goto c191;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* reveal 3.0.3 , 13 */
  if (13 != REF(3)DOT(0)DOT(3).value.variant->info.variant_case)
     goto ch_case_error;
/* new_table 4 , 2 */
  if ((ch_returncode = che_new_table(DEF(4),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* size 5 3.0.2 */
  REF(5).value.integer = REF(3)DOT(0)DOT(2).value.table->size;
  REF(5).tsdr = & dr_integer;
/* notequal . 5 =(0) , 11 */
  if ( REF(5).value.integer != 0 ) goto c11;
/* copy 6 4 */
  if((ch_returncode = cp_table(& ch_val, REF(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).value = ch_val;
  REF(6).tsdr = & dr_table;
/* branch , 16 */
   goto c16;
c11:
/* noop */
  
/* lookup_at 7 3.0.2 =(0) */
  if ( !((ch_t = REF(3)DOT(0)DOT(2).value.table)->size) ) goto ch_notfound;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(7).value,0);
  REF(7).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 8 7 */
  if((ch_returncode = (REF(7).tsdr->copy)(& ch_val, REF(7).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).value = ch_val;
  REF(8).tsdr = datarepmap[REF(7).tsdr->number];
  current->ip = 3;
cb14:
/* call 3.2.4.4 8 9 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(4),
          arguments[1] = DEF(8),
          arguments[2] = DEF(9),
          arguments[2+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c15:
/* move 6 9 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6) = REF(9);
  REF(9).tsdr = & dr_bottom;
c16:
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* new_table 10 , 2 */
  if ((ch_returncode = che_new_table(DEF(10),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 11 3.0.3.0.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0)DOT(3)DOT(0)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).value = ch_val;
  REF(11).tsdr = & dr_table;
/* initget 12 11 , 0,0 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(12),DEF(11),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c33:
c20:
/* get_or_goto 12 11 , 58 */
  if ((ch_returncode = get_selected_object(DEF(12),DEF(11),sched)) != Normal)
     goto c58;
/* case 13 12.1 */
  REF(13).value.enumeration = REF(12)DOT(1).value.variant->info.variant_case;
  REF(13).tsdr = & dr_enumeration;
/* equal . 13 =(1) , 20 */
  if ( REF(13).value.enumeration == 1 ) goto c20;
/* equal . 13 =(2) , 31 */
  if ( REF(13).value.enumeration == 2 ) goto c31;
/* equal . 13 =(0) , 34 */
  if ( REF(13).value.enumeration == 0 ) goto c34;
/* branch , 55 */
   goto c55;
c31:
/* reveal 12.1 , 2 */
  if (2 != REF(12)DOT(1).value.variant->info.variant_case) goto ch_case_error;
  current->ip = 7;
cb32:
/* call 3.2.3.2 12.1.0.0.0 3.2 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(3)DOT(2),
          arguments[1] = DEF(12)DOT(1)DOT(0)DOT(0)DOT(0),
          arguments[2] = DEF(3)DOT(2),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c34:
/* reveal 12.1 , 0 */
  if (0 != REF(12)DOT(1).value.variant->info.variant_case) goto ch_case_error;
  current->ip = 10;
cb35:
/* call 3.2.3.2 12.1.0.0 3.2 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(3)DOT(2),
          arguments[1] = DEF(12)DOT(1)DOT(0)DOT(0),
          arguments[2] = DEF(3)DOT(2),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c36:
/* equal . 6 4 , 20 */
  if ( eq_table(REF(6).value,REF(4).value) ) goto c20;
  current->ip = 12;
cb38:
/* call 3.2.4.7 14 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(7),
          arguments[1] = DEF(14),
          arguments[1+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c39:
/* noop */
  
/* copy 15 14 */
  if((ch_returncode = (REF(14).tsdr->copy)(& ch_val, REF(14).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).value = ch_val;
  REF(15).tsdr = datarepmap[REF(14).tsdr->number];
/* insert 10 15 */
  if ((ch_returncode = insertfunc(DEF(10),DEF(15),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 16 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16).value = ch_val; REF(16).tsdr = & dr_record;
/* enum_lit 16.0 , 3 */
  REF(16)DOT(0).value.enumeration = 3;
  REF(16)DOT(0).tsdr = & dr_enumeration;
/* new_table 16.1 , 2 */
  if ((ch_returncode = che_new_table(DEF(16)DOT(1),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* insert 16.1 14 */
  if ((ch_returncode = insertfunc(DEF(16)DOT(1),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 17 6 */
  if((ch_returncode = cp_table(& ch_val, REF(6).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).value = ch_val;
  REF(17).tsdr = & dr_table;
/* insert 16.1 17 */
  if ((ch_returncode = insertfunc(DEF(16)DOT(1),DEF(17),FALSE,0)) != Normal)
     goto ch_raise_exception;
  current->ip = 14;
cb49:
/* call 3.2.4.4 12.1.0.1 18 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(4),
          arguments[1] = DEF(12)DOT(1)DOT(0)DOT(1),
          arguments[2] = DEF(18),
          arguments[2+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c50:
/* insert 16.1 18 */
  if ((ch_returncode = insertfunc(DEF(16)DOT(1),DEF(18),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* unite 16.2 19 , 0 */
  if ((ch_returncode = che_unite(DEF(16)DOT(2),DEF(19),sched,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.2.4.3.1 16 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(3)DOT(1),DEF(16)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* branch , 20 */
   goto c20;
c55:
/* exit , 6 */
  ch_e = handler_type__exit; ch_val = QUAL(6); goto ch_exception;
c58:
/* endget 12 11 */
  end_selector(DEF(12),DEF(11),sched,GET);
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* copy 20 10 */
  if((ch_returncode = cp_table(& ch_val, REF(10).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).value = ch_val;
  REF(20).tsdr = & dr_table;
/* new_table 21 , 2 */
  if ((ch_returncode = che_new_table(DEF(21),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 22 3.0.3.0.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0)DOT(3)DOT(0)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).value = ch_val;
  REF(22).tsdr = & dr_table;
/* initget 23 22 , 0,0 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(23),DEF(22),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c64:
/* get_or_goto 23 22 , 68 */
  if ((ch_returncode = get_selected_object(DEF(23),DEF(22),sched)) != Normal)
     goto c68;
/* unique 24 */
  if ((ch_returncode = che_unique(DEF(24),sched)) != Normal)
     goto ch_raise_exception;
/* insert 21 24 */
  if ((ch_returncode = insertfunc(DEF(21),DEF(24),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 64 */
   goto c64;
c68:
/* endget 23 22 */
  end_selector(DEF(23),DEF(22),sched,GET);
/* discard 22 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).tsdr = & dr_bottom;
/* unique 25 */
  if ((ch_returncode = che_unique(DEF(25),sched)) != Normal)
     goto ch_raise_exception;
/* unique 26 */
  if ((ch_returncode = che_unique(DEF(26),sched)) != Normal)
     goto ch_raise_exception;
/* new_record 27 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).value = ch_val; REF(27).tsdr = & dr_record;
/* copy 27.0 21 */
  if((ch_returncode = cp_table(& ch_val, REF(21).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(27)DOT(0).tsdr)->finalize)(REF(27)DOT(0).value,F_DISCARD,sched);
  REF(27)DOT(0).value = ch_val;
  REF(27)DOT(0).tsdr = & dr_table;
/* copy 27.1 25 */
  if((ch_returncode = cp_nominal(& ch_val, REF(25).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(27)DOT(1).tsdr)->finalize)(REF(27)DOT(1).value,F_DISCARD,sched);
  REF(27)DOT(1).value = ch_val;
  REF(27)DOT(1).tsdr = & dr_nominal;
/* unite 3.2.4.3.2 27 , 3 */
  if ((ch_returncode = che_unite(DEF(3)DOT(2)DOT(4)DOT(3)DOT(2),DEF(27),sched,
    3)) != Normal) goto ch_raise_exception;
/* new_record 28 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).value = ch_val; REF(28).tsdr = & dr_record;
/* enum_lit 28.0 , 107 */
  REF(28)DOT(0).value.enumeration = 107;
  REF(28)DOT(0).tsdr = & dr_enumeration;
/* new_table 28.1 , 2 */
  if ((ch_returncode = che_new_table(DEF(28)DOT(1),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 29 3.0.3.0.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0)DOT(3)DOT(0)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).value = ch_val;
  REF(29).tsdr = & dr_table;
/* initget 30 29 , 0,0 */
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(30),DEF(29),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c84:
/* get_or_goto 30 29 , 124 */
  if ((ch_returncode = get_selected_object(DEF(30),DEF(29),sched)) != Normal)
     goto c124;
/* case 31 30.1 */
  REF(31).value.enumeration = REF(30)DOT(1).value.variant->info.variant_case;
  REF(31).tsdr = & dr_enumeration;
/* equal . 31 =(2) , 94 */
  if ( REF(31).value.enumeration == 2 ) goto c94;
/* equal . 31 =(1) , 100 */
  if ( REF(31).value.enumeration == 1 ) goto c100;
/* equal . 31 =(0) , 106 */
  if ( REF(31).value.enumeration == 0 ) goto c106;
/* branch , 121 */
   goto c121;
c94:
/* reveal 30.1 , 2 */
  if (2 != REF(30)DOT(1).value.variant->info.variant_case) goto ch_case_error;
  current->ip = 20;
cb95:
/* call 3.2.4.4 30.1.0.1 32 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(4),
          arguments[1] = DEF(30)DOT(1)DOT(0)DOT(1),
          arguments[2] = DEF(32),
          arguments[2+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c96:
/* insert 28.1 32 */
  if ((ch_returncode = insertfunc(DEF(28)DOT(1),DEF(32),FALSE,0)) != Normal)
     goto ch_raise_exception;
  current->ip = 22;
cb97:
/* call 3.2.4.4 30.1.0.0.1 33 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(4),
          arguments[1] = DEF(30)DOT(1)DOT(0)DOT(0)DOT(1),
          arguments[2] = DEF(33),
          arguments[2+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c98:
/* insert 28.1 33 */
  if ((ch_returncode = insertfunc(DEF(28)DOT(1),DEF(33),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 84 */
   goto c84;
c100:
/* reveal 30.1 , 1 */
  if (1 != REF(30)DOT(1).value.variant->info.variant_case) goto ch_case_error;
  current->ip = 25;
cb101:
/* call 3.2.4.4 30.1.0 34 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(4),
          arguments[1] = DEF(30)DOT(1)DOT(0),
          arguments[2] = DEF(34),
          arguments[2+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c102:
/* insert 28.1 34 */
  if ((ch_returncode = insertfunc(DEF(28)DOT(1),DEF(34),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 35 4 */
  if((ch_returncode = cp_table(& ch_val, REF(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).value = ch_val;
  REF(35).tsdr = & dr_table;
/* insert 28.1 35 */
  if ((ch_returncode = insertfunc(DEF(28)DOT(1),DEF(35),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 84 */
   goto c84;
c106:
/* copy 36 4 */
  if((ch_returncode = cp_table(& ch_val, REF(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).value = ch_val;
  REF(36).tsdr = & dr_table;
/* insert 28.1 36 */
  if ((ch_returncode = insertfunc(DEF(28)DOT(1),DEF(36),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* notequal . 6 4 , 114 */
  if ( !eq_table(REF(6).value,REF(4).value) ) goto c114;
/* reveal 30.1 , 0 */
  if (0 != REF(30)DOT(1).value.variant->info.variant_case) goto ch_case_error;
  current->ip = 28;
cb111:
/* call 3.2.4.4 30.1.0.1 37 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(4),
          arguments[1] = DEF(30)DOT(1)DOT(0)DOT(1),
          arguments[2] = DEF(37),
          arguments[2+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c112:
/* insert 28.1 37 */
  if ((ch_returncode = insertfunc(DEF(28)DOT(1),DEF(37),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 84 */
   goto c84;
c114:
/* privatize 10 */
  if (REF(10).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(10))) != Normal)
       goto ch_raise_exception;
/* lookup_at 38 10 =(0) */
  if ( !((ch_t = REF(10).value.table)->size) ) goto ch_notfound;
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(38).value,0);
  REF(38).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 39 10 =(0) */
  if ((ch_returncode = remove_at_func(DEF(39),DEF(10),0)) != Normal)
     goto ch_raise_exception;
/* insert 28.1 39 */
  if ((ch_returncode = insertfunc(DEF(28)DOT(1),DEF(39),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 84 */
   goto c84;
c121:
/* exit , 6 */
  ch_e = handler_type__exit; ch_val = QUAL(6); goto ch_exception;
c124:
/* endget 30 29 */
  end_selector(DEF(30),DEF(29),sched,GET);
/* discard 29 */
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).tsdr = & dr_bottom;
/* new_table 40 , 2 */
  if ((ch_returncode = che_new_table(DEF(40),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* unite 28.2 40 , 11 */
  if ((ch_returncode = che_unite(DEF(28)DOT(2),DEF(40),sched,11)) != Normal)
     goto ch_raise_exception;
/* insert 3.2.4.3.1 28 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(3)DOT(1),DEF(28)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* copy 41 3.0.3.0.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0)DOT(3)DOT(0)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).value = ch_val;
  REF(41).tsdr = & dr_table;
/* initget 42 41 , 0,0 */
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(42),DEF(41),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c132:
/* get_or_goto 42 41 , 150 */
  if ((ch_returncode = get_selected_object(DEF(42),DEF(41),sched)) != Normal)
     goto c150;
/* privatize 21 */
  if (REF(21).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(21))) != Normal)
       goto ch_raise_exception;
/* lookup_at 43 21 =(0) */
  if ( !((ch_t = REF(21).value.table)->size) ) goto ch_notfound;
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(43).value,0);
  REF(43).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 44 21 =(0) */
  if ((ch_returncode = remove_at_func(DEF(44),DEF(21),0)) != Normal)
     goto ch_raise_exception;
/* copy 45 3.2.4.3.0 */
  if((ch_returncode = cp_nominal(& ch_val, 
    REF(3)DOT(2)DOT(4)DOT(3)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  REF(45).value = ch_val;
  REF(45).tsdr = & dr_nominal;
/* insert 3.2.4.2.2 45 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(2)DOT(2),DEF(45)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* insert 3.2.4.2.0 3.2.4.3 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(2)DOT(0),
    DEF(3)DOT(2)DOT(4)DOT(3),FALSE,0)) != Normal) goto ch_raise_exception;
/* new_record 3.2.4.3 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(3)DOT(2)DOT(4)DOT(3).tsdr)->finalize)(REF(3)DOT(2)DOT(4)DOT(3).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(4)DOT(3).value = ch_val; REF(3)DOT(2)DOT(4)DOT(3).tsdr
     = & dr_record;
/* move 3.2.4.3.0 44 */
  (*(REF(3)DOT(2)DOT(4)DOT(3)DOT(0).tsdr)->finalize)(
    REF(3)DOT(2)DOT(4)DOT(3)DOT(0).value,F_DISCARD,sched);
  REF(3)DOT(2)DOT(4)DOT(3)DOT(0) = REF(44);
  REF(44).tsdr = & dr_bottom;
/* new_table 3.2.4.3.1 , 2 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(2)DOT(4)DOT(3)DOT(1),QUAL(2)
    ,sched)) != Normal)  goto ch_raise_exception;
/* unite 3.2.4.3.2 19 , 6 */
  if ((ch_returncode = che_unite(DEF(3)DOT(2)DOT(4)DOT(3)DOT(2),DEF(19),sched,
    6)) != Normal) goto ch_raise_exception;
  current->ip = 34;
cb146:
/* call 3.2.3.2 42.0 3.2 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(3)DOT(2),
          arguments[1] = DEF(42)DOT(0),
          arguments[2] = DEF(3)DOT(2),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c147:
/* copy 46 26 */
  if((ch_returncode = cp_nominal(& ch_val, REF(26).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).value = ch_val;
  REF(46).tsdr = & dr_nominal;
/* unite 3.2.4.3.2 46 , 0 */
  if ((ch_returncode = che_unite(DEF(3)DOT(2)DOT(4)DOT(3)DOT(2),DEF(46),sched,
    0)) != Normal) goto ch_raise_exception;
/* branch , 132 */
   goto c132;
c150:
/* endget 42 41 */
  end_selector(DEF(42),DEF(41),sched,GET);
/* discard 41 */
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).tsdr = & dr_bottom;
/* copy 47 3.2.4.3.0 */
  if((ch_returncode = cp_nominal(& ch_val, 
    REF(3)DOT(2)DOT(4)DOT(3)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(47).tsdr)->finalize)(REF(47).value,F_DISCARD,sched);
  REF(47).value = ch_val;
  REF(47).tsdr = & dr_nominal;
/* insert 3.2.4.2.2 47 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(2)DOT(2),DEF(47)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* insert 3.2.4.2.0 3.2.4.3 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(2)DOT(0),
    DEF(3)DOT(2)DOT(4)DOT(3),FALSE,0)) != Normal) goto ch_raise_exception;
/* new_record 3.2.4.3 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(3)DOT(2)DOT(4)DOT(3).tsdr)->finalize)(REF(3)DOT(2)DOT(4)DOT(3).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(4)DOT(3).value = ch_val; REF(3)DOT(2)DOT(4)DOT(3).tsdr
     = & dr_record;
/* move 3.2.4.3.0 25 */
  (*(REF(3)DOT(2)DOT(4)DOT(3)DOT(0).tsdr)->finalize)(
    REF(3)DOT(2)DOT(4)DOT(3)DOT(0).value,F_DISCARD,sched);
  REF(3)DOT(2)DOT(4)DOT(3)DOT(0) = REF(25);
  REF(25).tsdr = & dr_bottom;
/* new_table 3.2.4.3.1 , 2 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(2)DOT(4)DOT(3)DOT(1),QUAL(2)
    ,sched)) != Normal)  goto ch_raise_exception;
/* unite 3.2.4.3.2 19 , 6 */
  if ((ch_returncode = che_unite(DEF(3)DOT(2)DOT(4)DOT(3)DOT(2),DEF(19),sched,
    6)) != Normal) goto ch_raise_exception;
  current->ip = 37;
cb161:
/* call 3.2.3.2 3.0.3.0.1 3.2 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(3)DOT(2),
          arguments[1] = DEF(3)DOT(0)DOT(3)DOT(0)DOT(1),
          arguments[2] = DEF(3)DOT(2),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c162:
/* copy 48 26 */
  if((ch_returncode = cp_nominal(& ch_val, REF(26).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).value = ch_val;
  REF(48).tsdr = & dr_nominal;
/* unite 3.2.4.3.2 48 , 0 */
  if ((ch_returncode = che_unite(DEF(3)DOT(2)DOT(4)DOT(3)DOT(2),DEF(48),sched,
    0)) != Normal) goto ch_raise_exception;
/* copy 49 3.2.4.3.0 */
  if((ch_returncode = cp_nominal(& ch_val, 
    REF(3)DOT(2)DOT(4)DOT(3)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(49).tsdr)->finalize)(REF(49).value,F_DISCARD,sched);
  REF(49).value = ch_val;
  REF(49).tsdr = & dr_nominal;
/* insert 3.2.4.2.2 49 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(2)DOT(2),DEF(49)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* insert 3.2.4.2.0 3.2.4.3 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(2)DOT(0),
    DEF(3)DOT(2)DOT(4)DOT(3),FALSE,0)) != Normal) goto ch_raise_exception;
/* new_record 3.2.4.3 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(3)DOT(2)DOT(4)DOT(3).tsdr)->finalize)(REF(3)DOT(2)DOT(4)DOT(3).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(4)DOT(3).value = ch_val; REF(3)DOT(2)DOT(4)DOT(3).tsdr
     = & dr_record;
/* move 3.2.4.3.0 26 */
  (*(REF(3)DOT(2)DOT(4)DOT(3)DOT(0).tsdr)->finalize)(
    REF(3)DOT(2)DOT(4)DOT(3)DOT(0).value,F_DISCARD,sched);
  REF(3)DOT(2)DOT(4)DOT(3)DOT(0) = REF(26);
  REF(26).tsdr = & dr_bottom;
/* new_table 3.2.4.3.1 , 2 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(2)DOT(4)DOT(3)DOT(1),QUAL(2)
    ,sched)) != Normal)  goto ch_raise_exception;
/* unite 3.2.4.3.2 19 , 6 */
  if ((ch_returncode = che_unite(DEF(3)DOT(2)DOT(4)DOT(3)DOT(2),DEF(19),sched,
    6)) != Normal) goto ch_raise_exception;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 186 */
   goto c186;
c177:
/* discard 21 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).tsdr = & dr_bottom;
/* discard 25 */
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).tsdr = & dr_bottom;
/* discard 26 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26).tsdr = & dr_bottom;
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* discard 28 */
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).tsdr = & dr_bottom;
/* chs_lit 50 , "CantHappen exit taken in cgselect" */
  if( !chs_lit(DEF(50),"CantHappen exit taken in cgselect") )
     goto ch_depletion;
/* print 50 */
  re_print(stderr, 0, DEF(50)); fflush(stderr);
/* discard 50 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).tsdr = & dr_bottom;
c186:
/* discard 3 */
  (*(REF(3).tsdr)->finalize)(REF(3).value,F_DISCARD,sched);
  REF(3).tsdr = & dr_bottom;
/* discard 21 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).tsdr = & dr_bottom;
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c191:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
